@import '../../variables.scss';

.app-chatbot-button {
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 50px;
    height: 50px;
    border-radius: 50px;
    cursor: pointer;
    background: $primary-color;
    border: 0;
    display: block;
    z-index: 99;

    svg {
        width: 24px;
        height: 24px;

        path {
            fill: $white-color;
        }
    }
}

.react-chatbot-kit-chat-container {
    position: fixed;
    max-width: 350px;
    background: $white-color;
    bottom: calc(40px + 30px);
    right: calc(40px + 30px);
    box-shadow: 0 5px 20px rgba(0, 0, 0, .1);
    border-radius: 8px;
    z-index: 3;

    .react-chatbot-kit-chat-input-form {
        display: flex;
        align-items: center;

        .react-chatbot-kit-chat-input {
            width: 100%;
            height: 40px;
            padding: 0;
            margin: 0;
            border-radius: 0 0 0 8px;
            padding-left: 10px;
            border: 0;
            background: rgba($primary-color, 0.2);
            outline: none;
        }

        .react-chatbot-kit-chat-btn-send {
            width: 38px;
            height: 40px;
            border-radius: 0 0 8px 0;
            background: #B77C3D !important;
            cursor: pointer;
            border: 0;

            .react-chatbot-kit-chat-btn-send-icon {
                fill: $white-color;
                width: 15px;
            }
        }
    }

    .react-chatbot-kit-chat-header {
        background: $primary-color;
        padding: 10px 5px;
        text-align: center;
        color: $white-color;
        border-radius: 8px 8px 0 0;
    }

    .react-chatbot-kit-chat-message-container {
        padding: 20px;
        max-height: 400px;
        overflow-x: auto;
    }

    .react-chatbot-kit-user-avatar {
        .react-chatbot-kit-user-avatar-container {
            background: rgba($primary-color, 0.2);
            display: flex;
            align-items: center;
            justify-content: center;
            width: 30px;
            height: 30px;
            min-width: 30px;
            border-radius: 30px;

            svg {
                width: 15px;
                height: 15px;
            }
        }
    }

    .react-chatbot-kit-user-chat-message-container {
        display: flex;
        justify-content: flex-end;

        .react-chatbot-kit-user-chat-avatar-container {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 30px;
            height: 30px;
            min-width: 30px;
            border-radius: 30px;
        }

        .react-chatbot-kit-user-chat-avatar {
            width: 30px;
            height: 30px;
            min-width: 30px;
            border-radius: 30px;
            text-align: center;
            background: #dbdbdb;
            margin-right: 5px;

            p {
                margin: 0;
            }
        }
    }

    .react-chatbot-kit-user-chat-message {
        color: $dark-color;
        padding: 5px 8px;
        font-size: 14px;
        border-radius: 5px;
        margin-bottom: 8px;
    }

    .react-chatbot-kit-chat-bot-message-container {
        display: flex;
        margin-top: 15px;

        .react-chatbot-kit-chat-bot-avatar-container {
            display: flex;
            align-items: center;
            justify-content: center;
            width: 30px;
            height: 30px;
            min-width: 30px;
            border-radius: 30px;
        }

        .react-chatbot-kit-chat-bot-avatar {
            width: 30px;
            height: 30px;
            min-width: 30px;
            border-radius: 30px;
            text-align: center;
            background: #dbdbdb;
            margin-right: 5px;

            p {
                margin: 0;
            }
        }
    }

    .react-chatbot-kit-chat-bot-message {
        color: $white-color;
        padding: 5px 8px;
        font-size: 14px;
        border-radius: 5px;
        margin-bottom: 8px;
    }
}

/* width */
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgba($primary-color, 0.2);
    border-radius: 8px;
}